package com.steering.qcm.entity;

/**
 * 数据库表QCM_LG_JUDGE所对应的实体类（生成工具：代码生成工具4.0 访问地址：http://172.16.2.128/tool/）
 * 
 * @author tgcx-test date 2016-11-04
 */
@SuppressWarnings("serial")
public class QcmLgJudgeEntity implements java.io.Serializable {
	/**
	 * 综合判定记录ID
	 */
	private String judgeId = "";
	/**
	 * 熔炼炉号
	 */
	private String stoveNo = "";
	/**
	 * 判定炉号
	 */
	private String judgeStoveNo = "";
	/**
	 * 坯料号
	 */
	private String objectno2 = "";
	/**
	 * 产线代码
	 */
	private String plineCode = "";
	/**
	 * 工序代码(A\B\C\D.....)
	 */
	private String processCdoe = "";
	/**
	 * 工序名称
	 */
	private String processDesc = "";
	/**
	 * 成分判定结果(4074)
	 */
	private String judgeresultChem = "";
	/**
	 * 理化判定结果(4074)
	 */
	private String judgeresultPhy = "";
	/**
	 * 表面判定结果(4074)
	 */
	private String judgeresultFace = "";
	/**
	 * 公差判定结果(4074)
	 */
	private String judgeresultSpec = "";
	/**
	 * 综合判定结果(4074)
	 */
	private String judgeresult = "";
	/**
	 * 判定原因
	 */
	private String judgereason = "";
	/**
	 * 成分化验号
	 */
	private String assayno = "";
	/**
	 * 理化判定结果集ID
	 */
	private String phyResultId = "";
	/**
	 * 成分判定备注
	 */
	private String memoChem = "";
	/**
	 * 理化判定备注
	 */
	private String memoPhy = "";
	/**
	 * 表面判定备注
	 */
	private String memoFace = "";
	/**
	 * 公差判定备注
	 */
	private String memoSpec = "";
	/**
	 * 综合判定备注
	 */
	private String memo = "";
	/**
	 * 有效标志(1：有效；0：无效)
	 */
	private String validflag = "";
	/**
	 * 判定人
	 */
	private String createName = "";
	/**
	 * 判定时间
	 */
	private String createTime = "";
	private String chemJudgeId = "";
	private String oldGradecode = "";
	private String oldGradename = "";
	private String oldCic = "";
	private String jugdeApplyCode = "";
	private String jugdeApplySqe = "";

	
	public String getJugdeApplyCode() {
		return jugdeApplyCode;
	}

	public void setJugdeApplyCode(String jugdeApplyCode) {
		this.jugdeApplyCode = jugdeApplyCode;
	}

	public String getJugdeApplySqe() {
		return jugdeApplySqe;
	}

	public void setJugdeApplySqe(String jugdeApplySqe) {
		this.jugdeApplySqe = jugdeApplySqe;
	}

	/**
	 * 综合判定记录ID
	 * 
	 * @return value
	 */
	public String getJudgeId() {
		return judgeId;
	}

	/**
	 * 综合判定记录ID
	 * 
	 * @param judgeId
	 *            value
	 */
	public void setJudgeId(String judgeId) {
		this.judgeId = judgeId;
	}

	/**
	 * 熔炼炉号
	 * 
	 * @return value
	 */
	public String getStoveNo() {
		return stoveNo;
	}

	/**
	 * 熔炼炉号
	 * 
	 * @param stoveNo
	 *            value
	 */
	public void setStoveNo(String stoveNo) {
		this.stoveNo = stoveNo;
	}

	/**
	 * 判定炉号
	 * 
	 * @return value
	 */
	public String getJudgeStoveNo() {
		return judgeStoveNo;
	}

	/**
	 * 判定炉号
	 * 
	 * @param judgeStoveNo
	 *            value
	 */
	public void setJudgeStoveNo(String judgeStoveNo) {
		this.judgeStoveNo = judgeStoveNo;
	}

	/**
	 * 坯料号
	 * 
	 * @return value
	 */
	public String getObjectno2() {
		return objectno2;
	}

	/**
	 * 坯料号
	 * 
	 * @param objectno2
	 *            value
	 */
	public void setObjectno2(String objectno2) {
		this.objectno2 = objectno2;
	}

	/**
	 * 产线代码
	 * 
	 * @return value
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 * 产线代码
	 * 
	 * @param plineCode
	 *            value
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 工序代码(A\B\C\D.....)
	 * 
	 * @return value
	 */
	public String getProcessCdoe() {
		return processCdoe;
	}

	/**
	 * 工序代码(A\B\C\D.....)
	 * 
	 * @param processCdoe
	 *            value
	 */
	public void setProcessCdoe(String processCdoe) {
		this.processCdoe = processCdoe;
	}

	/**
	 * 工序名称
	 * 
	 * @return value
	 */
	public String getProcessDesc() {
		return processDesc;
	}

	/**
	 * 工序名称
	 * 
	 * @param processDesc
	 *            value
	 */
	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	/**
	 * 成分判定结果(4074)
	 * 
	 * @return value
	 */
	public String getJudgeresultChem() {
		return judgeresultChem;
	}

	/**
	 * 成分判定结果(4074)
	 * 
	 * @param judgeresultChem
	 *            value
	 */
	public void setJudgeresultChem(String judgeresultChem) {
		this.judgeresultChem = judgeresultChem;
	}

	/**
	 * 理化判定结果(4074)
	 * 
	 * @return value
	 */
	public String getJudgeresultPhy() {
		return judgeresultPhy;
	}

	/**
	 * 理化判定结果(4074)
	 * 
	 * @param judgeresultPhy
	 *            value
	 */
	public void setJudgeresultPhy(String judgeresultPhy) {
		this.judgeresultPhy = judgeresultPhy;
	}

	/**
	 * 表面判定结果(4074)
	 * 
	 * @return value
	 */
	public String getJudgeresultFace() {
		return judgeresultFace;
	}

	/**
	 * 表面判定结果(4074)
	 * 
	 * @param judgeresultFace
	 *            value
	 */
	public void setJudgeresultFace(String judgeresultFace) {
		this.judgeresultFace = judgeresultFace;
	}

	/**
	 * 公差判定结果(4074)
	 * 
	 * @return value
	 */
	public String getJudgeresultSpec() {
		return judgeresultSpec;
	}

	/**
	 * 公差判定结果(4074)
	 * 
	 * @param judgeresultSpec
	 *            value
	 */
	public void setJudgeresultSpec(String judgeresultSpec) {
		this.judgeresultSpec = judgeresultSpec;
	}

	/**
	 * 综合判定结果(4074)
	 * 
	 * @return value
	 */
	public String getJudgeresult() {
		return judgeresult;
	}

	/**
	 * 综合判定结果(4074)
	 * 
	 * @param judgeresult
	 *            value
	 */
	public void setJudgeresult(String judgeresult) {
		this.judgeresult = judgeresult;
	}

	/**
	 * 判定原因
	 * 
	 * @return value
	 */
	public String getJudgereason() {
		return judgereason;
	}

	/**
	 * 判定原因
	 * 
	 * @param judgereason
	 *            value
	 */
	public void setJudgereason(String judgereason) {
		this.judgereason = judgereason;
	}

	/**
	 * 成分化验号
	 * 
	 * @return value
	 */
	public String getAssayno() {
		return assayno;
	}

	/**
	 * 成分化验号
	 * 
	 * @param assayno
	 *            value
	 */
	public void setAssayno(String assayno) {
		this.assayno = assayno;
	}

	/**
	 * 理化判定结果集ID
	 * 
	 * @return value
	 */
	public String getPhyResultId() {
		return phyResultId;
	}

	/**
	 * 理化判定结果集ID
	 * 
	 * @param phyResultId
	 *            value
	 */
	public void setPhyResultId(String phyResultId) {
		this.phyResultId = phyResultId;
	}

	/**
	 * 成分判定备注
	 * 
	 * @return value
	 */
	public String getMemoChem() {
		return memoChem;
	}

	/**
	 * 成分判定备注
	 * 
	 * @param memoChem
	 *            value
	 */
	public void setMemoChem(String memoChem) {
		this.memoChem = memoChem;
	}

	/**
	 * 理化判定备注
	 * 
	 * @return value
	 */
	public String getMemoPhy() {
		return memoPhy;
	}

	/**
	 * 理化判定备注
	 * 
	 * @param memoPhy
	 *            value
	 */
	public void setMemoPhy(String memoPhy) {
		this.memoPhy = memoPhy;
	}

	/**
	 * 表面判定备注
	 * 
	 * @return value
	 */
	public String getMemoFace() {
		return memoFace;
	}

	/**
	 * 表面判定备注
	 * 
	 * @param memoFace
	 *            value
	 */
	public void setMemoFace(String memoFace) {
		this.memoFace = memoFace;
	}

	/**
	 * 公差判定备注
	 * 
	 * @return value
	 */
	public String getMemoSpec() {
		return memoSpec;
	}

	/**
	 * 公差判定备注
	 * 
	 * @param memoSpec
	 *            value
	 */
	public void setMemoSpec(String memoSpec) {
		this.memoSpec = memoSpec;
	}

	/**
	 * 综合判定备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 综合判定备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/**
	 * 有效标志(1：有效；0：无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(1：有效；0：无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 判定人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 判定人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 判定时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 判定时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	
	public String getChemJudgeId() {
		return chemJudgeId;
	}

	public void setChemJudgeId(String chemJudgeId) {
		this.chemJudgeId = chemJudgeId;
	}
	
	public String getOldGradecode() {
		return oldGradecode;
	}

	public void setOldGradecode(String oldGradecode) {
		this.oldGradecode = oldGradecode;
	}

	public String getOldGradename() {
		return oldGradename;
	}

	public void setOldGradename(String oldGradename) {
		this.oldGradename = oldGradename;
	}

	public String getOldCic() {
		return oldCic;
	}

	public void setOldCic(String oldCic) {
		this.oldCic = oldCic;
	}
}
